MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024123Open CASCADE[OCCT] OCCT:Visualizationpublic2013-08-25 17:202015-09-28 20:49
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024123: Create debug OpenGL context when requested (GL_ARB_debug_output)
DescriptionIt is desired to provide the option for creation of GL context with debug capabilities.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0026732closedbugmaster Visualization, TKOpenGl - add option to request Core profile 3.2+ using GLX 
related to 0024230closedbugmaster TKOpenGl - request debug context by default in debug mode 
related to 0024233closedbugmaster OpenGl_Window - compilation for Windows NT 4.0 target 
related to 0024245closedbugmaster TKOpenGL - use Message_Messenger interface to report issues 
related to 0024572closedapn Improvement performance of BRepExtrema_DistShapeShape 

-  Notes
(0025378)
kgv (developer)
2013-08-26 11:49

Patch is ready for review in the branch CR24123
(0025388)
kgv (developer)
2013-08-27 15:51

Branch has been (force) updated according to apl remarks.
(0025389)
apl (developer)
2013-08-27 16:51

Dear Bugmaster,

The branch is ready for testing.
(0025399)
mkv (tester)
2013-08-28 12:06

Dear BugMaster,
There are compilation errors on Linux:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24123/job/mnt-CR24123-master_build_occt_linux/1/parsed_console/? [^]
(0025405)
kgv (developer)
2013-08-28 17:38
edited on: 2013-08-28 17:39

Added workaround for namespace collisions with Xlib macros Convex and Status.
Please re-test patch (branch CR24123 has been updated).

(0025415)
mkv (tester)
2013-08-29 13:47

Dear BugMaster,

Branch CR24123 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 8d18fb47b34e9f1410b64da7df9a980effdf0765

Number of compiler warnings:

occt component :
Linux: 778 (781 on master)
Windows: 387 (386 on master)

products component :
Linux: 188 (191 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 365447024 / 365366360
Total CPU difference: 45476.17000000079 / 54103.98000000012

Testing on Windows:
Total MEMORY difference: 428882068 / 429465228
Total CPU difference: 29265.0 / 36524.59375

There are not differences in images found by testdiff.
(0040838)
git (administrator)
2015-05-13 07:57

Branch CR24123_1 has been created by kgv.

SHA-1: 8627b1f20aec7aa7c4260f540586e935d7c0b854


Detailed log of new commits:

Author: kgv
Date: Wed May 13 07:56:50 2015 +0300

    0024123: support GL_KHR_debug on OpenGL ES
(0040938)
git (administrator)
2015-05-14 16:24

Branch CR24123_1 has been deleted by inv.

SHA-1: 8627b1f20aec7aa7c4260f540586e935d7c0b854

- Related Changesets
occt: master 58655684
Timestamp: 2013-08-29 11:45:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024123: Create debug OpenGL context when requested (GL_ARB_debug_output)

Introduce new OpenGl_Caps class for unified graphic driver options access.
New command vgldebug to request debug OpenGL context.
OpenGl_Window - create debug OpenGL context when requested (WGL-only).
OpenGl_Context - destroy arbTBO, arbIns members.
Workaround namespace collisions with Xlib macros
Eliminate new warning (unused argument in OpenGl_Context::debugCallbackWrap)
mod - src/InterfaceGraphic/InterfaceGraphic_X11.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
add - src/OpenGl/OpenGl_ArbDbg.hxx Diff ] File ]
add - src/OpenGl/OpenGl_Caps.cxx Diff ] File ]
add - src/OpenGl/OpenGl_Caps.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-25 17:20 kgv New Issue
2013-08-25 17:20 kgv Assigned To => kgv
2013-08-25 17:20 kgv Status new => assigned
2013-08-26 11:49 kgv Note Added: 0025378
2013-08-26 11:49 kgv Assigned To kgv => apl
2013-08-26 11:49 kgv Status assigned => resolved
2013-08-27 15:51 kgv Note Added: 0025388
2013-08-27 16:51 apl Note Added: 0025389
2013-08-27 16:51 apl Assigned To apl => bugmaster
2013-08-27 16:51 apl Status resolved => reviewed
2013-08-27 19:52 mkv Assigned To bugmaster => mkv
2013-08-28 12:06 mkv Note Added: 0025399
2013-08-28 12:06 mkv Test case number => Not needed
2013-08-28 12:06 mkv Assigned To mkv => kgv
2013-08-28 12:06 mkv Status reviewed => assigned
2013-08-28 17:38 kgv Note Added: 0025405
2013-08-28 17:38 kgv Assigned To kgv => mkv
2013-08-28 17:38 kgv Status assigned => resolved
2013-08-28 17:38 kgv Status resolved => reviewed
2013-08-28 17:39 kgv Note Edited: 0025405 View Revisions
2013-08-29 13:20 mkv Assigned To mkv => bugmaster
2013-08-29 13:20 mkv Status reviewed => tested
2013-08-29 13:47 mkv Note Added: 0025415
2013-09-03 12:22 bugmaster Changeset attached => occt master 58655684
2013-09-03 12:22 bugmaster Status tested => verified
2013-09-03 12:22 bugmaster Resolution open => fixed
2013-10-07 11:06 kgv Relationship added related to 0024230
2013-10-07 14:15 kgv Relationship added related to 0024233
2013-10-09 22:52 kgv Relationship added related to 0024245
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0
2014-04-03 15:04 kgv Relationship added related to 0024572
2015-05-13 07:57 git Note Added: 0040838
2015-05-14 16:24 git Note Added: 0040938
2015-09-28 20:49 kgv Relationship added parent of 0026732


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker